## Apache Zeta Components Manual :: Docs For Class ezcWebdavBrokenRequestUriException

### Webdav::ezcWebdavBrokenRequestUriException

### Class ezcWebdavBrokenRequestUriException

Exception thrown, when a request URI could not be handled by the default

path factory class. This may happen when the server either provides broken environment variables, or the URL has been rewritten somehow. In this case you need to implement your own request factory and tell the server class to use it.

1. $server->options->pathFactory='myPathFactory';

Source for this file: /Webdav/src/exceptions/broken_request_uri.php

    Exception
       |
       --ezcBaseException
          |
          --ezcWebdavException
             |
             --ezcWebdavBrokenRequestUriException

Version: | //autogentag//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcWebdavBrokenRequestUriException | `__construct( $uri )` Initializes the exception with the given $uri and sets the exception message from it.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcWebdavBrokenRequestUriException __construct( string $uri )

Initializes the exception with the given $uri and sets the exception message from it.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$uri` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3